Subject: draft-kwatsen-reverse-ssh-01 submission for review

From: Kent Watsen <[email-masked]>
Date: Wed, 8 Jun 2011 16:43:52 -0700

I've updated the Reverse SSH draft per suggestions:

    - now uses IANA-assigned SSH port 22
    - now defines proper client and server roles (Reverse SSH client, Reverse SSH server)
    - now uses in-band negotiation to automatically authenticate the SSH Server's host key 

Key aspects used to achieve this update include:

    - contextual awareness to set SSH client/server roles
    - definition of a new family of public host key algorithms (hmac-*)

My own thoughts:

    - I like how now the host key and MAC algorithm are negotiated for hmac-* use
    - I'm glad to find a solution minimizing the impact to existing SSH implementations

Link:

    - http://tools.ietf.org/html/draft-kwatsen-reverse-ssh-01

Thanks,
Kent